보유 전화번호
보유 전화번호 해지
조직이 보유한 전화번호를 해지 요청하거나 만료 처리합니다.
DELETE
/
organization-telephone-numbers
/
{organization_telephone_number_id}
보유 전화번호 해지
curl --request DELETE \
--url https://client-api.tryvox.co/v3/organization-telephone-numbers/{organization_telephone_number_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://client-api.tryvox.co/v3/organization-telephone-numbers/{organization_telephone_number_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client-api.tryvox.co/v3/organization-telephone-numbers/{organization_telephone_number_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"number": "<string>",
"effective_at": 123
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed.",
"details": {
"field": "name",
"reason": "must not be blank"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Permission denied.",
"details": {}
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": {
"resource": "agent"
}
}
}{
"error": {
"code": "CONFLICT",
"message": "The requested operation conflicts with current state.",
"details": {
"current_status": "draft"
}
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests.",
"details": {
"limit": 5,
"window_seconds": 1
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error.",
"details": {}
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service temporarily unavailable.",
"details": {}
}
}Authorizations
조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.
Path Parameters
조직 보유 전화번호 ID입니다. 전화번호 문자열이 아니라 GET /v3/organization-telephone-numbers 응답의 id를 사용합니다.
Response
성공 응답
전화번호 해지 또는 만료 처리 응답입니다.
해지 처리된 레코드의 고유 식별자입니다.
해지 처리된 전화번호입니다. 하이픈 없는 숫자 문자열로 반환됩니다.
해지된 번호의 제공자 구분입니다. 'vox'(vox.ai 구매 번호) 또는 'custom'(자체 보유 번호) 중 하나입니다.
Available options:
vox, custom 해지가 실제로 적용(만료)되는 날짜입니다. unix timestamp (ms). vox 번호는 현재 이용 기간 종료일, custom 번호는 즉시 만료일입니다.
Was this page helpful?
⌘I
보유 전화번호 해지
